List teams
List teams of your PagerDuty account, optionally filtered by a search query.
A team is a collection of Users and Escalation Policies that represent a group of people within an organization.
For more information see the API Concepts Document
Scoped OAuth requires: teams.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseFilters the result, showing only the records whose name matches the query.
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List audit records for a team GET
The returned records are sorted by the `execution_time` from newest to oldest. See [`Cursor-based pagination`](https://developer.pagerduty.com/docs/rest-api-v2/pagination/) for instructions on how to paginate through the result set. For more information see the [Audit API Document](https://developer.pagerduty.com/docs/rest-api-v2/audit-records-api/). Scoped OAuth requires: `audit_records.read`
Remove Team Notification Subscriptions POST
Unsubscribe the given Team from Notifications on the matching Subscribable entities. Scoped OAuth requires: `subscribers.write`